Package org.eclipse.graphiti.palette.impl

# Class ConnectionCreationToolEntry

java.lang.Object
org.eclipse.graphiti.palette.impl.AbstractPaletteEntry
org.eclipse.graphiti.palette.impl.AbstractPaletteToolEntry
org.eclipse.graphiti.palette.impl.ConnectionCreationToolEntry

All Implemented Interfaces:
  `IConnectionCreationToolEntry`, `ICreationToolEntry`, `IPaletteEntry`, `IToolEntry`

public class ConnectionCreationToolEntry extends AbstractPaletteToolEntry implements IConnectionCreationToolEntry
The Class ConnectionCreationToolEntry creates a tool entry for the palette which can create connections. Connection creation features are added separately.

## Field Summary

### Fields inherited from class org.eclipse.graphiti.palette.impl.AbstractPaletteToolEntry

`features`

## Constructor Summary

Constructors
Constructor
Description
`ConnectionCreationToolEntry(String label, String description, String iconId, String largeIconId)`
Create a new `ConnectionCreationToolEntry`.

## Method Summary

Modifier and Type
Method
Description
`void`
`addCreateConnectionFeature(ICreateConnectionFeature createFeature)`
Adds a create feature to the tool.
`List<IFeature>`
`getCreateConnectionFeatures()`
Gets the create connection features.

### Methods inherited from class org.eclipse.graphiti.palette.impl.AbstractPaletteToolEntry

`getDescription, getFeatures, getLargeIconId`

### Methods inherited from class org.eclipse.graphiti.palette.impl.AbstractPaletteEntry

`getIconId, getLabel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.palette.ICreationToolEntry

`getDescription, getLargeIconId`

### Methods inherited from interface org.eclipse.graphiti.palette.IPaletteEntry

`getIconId, getLabel`

## Constructor Details

### ConnectionCreationToolEntry

public ConnectionCreationToolEntry(String label, String description, String iconId, String largeIconId)
Create a new `ConnectionCreationToolEntry`.

Parameters:
  `label` - the label
  `description` - the description
  `iconId` - the icon id
  `largeIconId` - the large icon id

## Method Details

### addCreateConnectionFeature

public void addCreateConnectionFeature(ICreateConnectionFeature createFeature)
Adds a create feature to the tool. you have to provide at least one. If several features are added the tool will display a popup menu after connection creation which lets the user choose between all features which canExecute.

Parameters:
  `createFeature` - the create feature

### getCreateConnectionFeatures

public List<IFeature> getCreateConnectionFeatures()
Gets the create connection features.

Specified by:
  `getCreateConnectionFeatures` in interface `IConnectionCreationToolEntry`
Returns:
  the provided create connection features